## dos2unix 7.4.2

=== debian/changelog ===
dos2unix (7.4.2-2) unstable; urgency=medium

  * Upload to unstable

 -- tony mancill <tmancill@debian.org>  Sun, 15 Aug 2021 21:05:16 -0700

dos2unix (7.4.2-1) experimental; urgency=medium

  * New upstream version 7.4.2
    Updated translations
  * Update Maintainer (Closes: #920104)
  * Freshen debian/copyright
  * Bump Standards-Version to 4.5.1
  * Add debian/gbp.conf for debian/latest branch (DEP-14)
  * Upload to experimental during the Bullseye freeze

 -- tony mancill <tmancill@debian.org>  Fri, 02 Apr 2021 21:02:54 -0700

=== debian/control ===
Source: dos2unix
Section: text
Priority: optional
Maintainer: tony mancill <tmancill@debian.org>
Build-Depends: dpkg-dev (>= 1.16.2), debhelper-compat (= 13), po4a, locales-all
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/dos2unix
Vcs-Git: https://salsa.debian.org/debian/dos2unix.git
Homepage: https://waterlan.home.xs4all.nl/dos2unix.html
Rules-Requires-Root: no

Package: dos2unix
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: convert text file line endings between CRLF and LF
 This package contains utilities dos2unix, unix2dos, mac2unix,
 unix2mac to convert the line endings of text files between UNIX (LF),
 DOS (CRLF) and Mac (CR) formats.
 .
 Text files under Windows and DOS typically have two ASCII characters
 at the end of each line: CR (carriage return) followed by LF (line
 feed). Older Macs used just CR, while UNIX uses just LF. While most
 modern editors can read all these formats, there may still be a need
 to convert files between them.
 .
 This is the classic utility developed in 1989.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk

# From dpkg-dev
DPKG_EXPORT_BUILDFLAGS = 1

PACKAGE         = dos2unix
PKGDIR		= $(CURDIR)/debian/$(PACKAGE)
DOCROOTDIR      = $(PKGDIR)/usr/share/doc
PKGDOCDIR       = $(DOCROOTDIR)/$(PACKAGE)

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

PODCENTER    = $(shell date -u +"%Y-%m-%d" --date="$(SOURCE_DATE_EPOCH)")
export PODCENTER

override_dh_auto_build:
	env LANG=en_US.UTF-8 \
	dh_auto_build -- LDFLAGS_USER="$(LDFLAGS)" CFLAGS_USER="$(CPPFLAGS) $(CFLAGS)"

override_dh_clean:
	dh_clean
	rm -f man/es/man1/dos2unix.1

override_dh_auto_install:
	dh_auto_install

	# dos2unix-N.N/ => dos2unix/
	mv -v $(DOCROOTDIR)/$$( cd $(DOCROOTDIR) && ls ) $(PKGDOCDIR)

	# Remove files that are not needed. The PS and PDF are
	# copies of manual pages.

	rm -vf $(PKGDOCDIR)/COPYING.txt \
	       $(PKGDOCDIR)/INSTALL.txt \
	       $(PKGDOCDIR)/ChangeLog.txt \

%:
	dh $@

# End of file

## dos2unix 7.4.3

=== Makefile ===
# Author: Erwin Waterlander
#
#   Copyright (C) 2009-2020 Erwin Waterlander
#   All rights reserved.
#
#   Redistribution and use in source and binary forms, with or without
#   modification, are permitted provided that the following conditions
#   are met:
#   1. Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the following disclaimer.
#   2. Redistributions in binary form must reproduce the above copyright
#      notice in the documentation and/or other materials provided with
#      the distribution.
#
#   THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
#   EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
#   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE
#   FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
#   CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
#   OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
#   BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#   WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
#   OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
#   IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#   Description
#
#       This is a GNU Makefile that uses GNU compilers, linkers and cpp. The
#       platform specific issues are determined by the various OS teets that
#       rely on the uname(1) command and directory locations.
#
#       Set additional flags for the build with variables CFLAGS_USER,
#       DEFS_USER and LDFLAGS_USER.

include version.mk

.PHONY: doc man txt html pdf mofiles tags merge test check

.PRECIOUS: %.1 %.pod

CC              ?= gcc
CPP             ?= cpp
CPP_FLAGS_POD   = ALL
STRIP           = strip

PACKAGE         = dos2unix
UNIX2DOS        = unix2dos
MAC2UNIX        = mac2unix
UNIX2MAC        = unix2mac

# Native Language Support (NLS)
ENABLE_NLS      = 1
# Large File Support (LFS)
LFS             = 1
# DEBUG=1 adds the -g option to CFLAGS, for adding debug symbols.
DEBUG = 0
# DEBUGMSG=1 adds -DDEBUG=1 to CFLAGS, for extra verbose messages.
DEBUGMSG = 0
UCS = 1
DIST_TARGET = dist-tgz

EXE=

BIN             = $(PACKAGE)$(EXE)
UNIX2DOS_BIN    = $(UNIX2DOS)$(EXE)
MAC2UNIX_BIN    = $(MAC2UNIX)$(EXE)
UNIX2MAC_BIN    = $(UNIX2MAC)$(EXE)

LINK            = ln -sf
LINK_MAN        = $(LINK)

prefix          = /usr
exec_prefix     = $(prefix)
bindir          = $(exec_prefix)/bin
datarootdir     = $(prefix)/share
datadir         = $(datarootdir)

docsubdir       = $(PACKAGE)-$(DOS2UNIX_VERSION)
docdir          = $(datarootdir)/doc/$(docsubdir)
localedir       = $(datarootdir)/locale
mandir          = $(datarootdir)/man
man1dir         = $(mandir)/man1
manext          = .1
man1ext         = .1

ifdef ENABLE_NLS
        POT             = po/$(PACKAGE).pot
        POFILES         = $(wildcard po/*.po)
        MOFILES         = $(patsubst %.po,%.mo,$(POFILES))
        NLSSUFFIX       = -nls
endif

HTMLEXT = htm
# English only documents.
INSTALL_OBJS_DOC = README.txt INSTALL.txt NEWS.txt ChangeLog.txt COPYING.txt TODO.txt BUGS.txt

# English manual
MANFILES_EN = man/man1/$(PACKAGE).1
TXTFILES_EN = man/man1/$(PACKAGE).txt
HTMLFILES_EN = man/man1/$(PACKAGE).$(HTMLEXT)
PSFILES_EN = man/man1/$(PACKAGE).ps
PDFFILES_EN = man/man1/$(PACKAGE).pdf

# International manuals
ifdef ENABLE_NLS
        MANPOTFILE      = po-man/dos2unix-man.pot
        MANPOFILES      = $(wildcard po-man/*.po)
        MANPODFILES     = $(patsubst po-man/%.po,man/%/man1/dos2unix.pod,$(MANPOFILES))
endif
MANFILES        = $(patsubst %.pod,%.1,$(MANPODFILES))
TXTFILES        = $(patsubst %.pod,%.txt,$(MANPODFILES))
HTMLFILES       = $(patsubst %.pod,%.$(HTMLEXT),$(MANPODFILES))
PSFILES         = $(patsubst %.pod,%.ps,$(MANPODFILES))
PDFFILES        = $(patsubst %.pod,%.pdf,$(MANPODFILES))

# On some systems (e.g. FreeBSD 4.10) GNU install is installed as `ginstall'.
INSTALL         = install
INSTALL_PROGRAM = $(INSTALL) -m 755
INSTALL_DATA    = $(INSTALL) -m 644

# On some systems (e.g. GNU Win32) GNU mkdir is installed as `gmkdir'.
MKDIR           = mkdir

ifdef ENABLE_NLS
        DOS2UNIX_NLSDEFS = -DENABLE_NLS -DLOCALEDIR=\"$(localedir)\" -DPACKAGE=\"$(PACKAGE)\"
endif

VERSIONSUFFIX   = -bin

# ......................................................... OS flags ...


ifndef D2U_OS
        d2u_os=$(shell uname -s)

ifeq ($(findstring CYGWIN,$(d2u_os)),CYGWIN)
        D2U_OS = cygwin
endif

ifndef D2U_OS
ifeq ($(findstring MSYS,$(d2u_os)),MSYS)
        D2U_OS = msys
endif
endif

ifndef D2U_OS
ifeq ($(findstring MINGW32,$(d2u_os)),MINGW32)
        D2U_OS = mingw32
endif
endif

ifndef D2U_OS
ifeq ($(findstring MINGW64,$(d2u_os)),MINGW64)
        D2U_OS = mingw64
endif
endif

ifndef D2U_OS
ifneq ($(DJGPP),)
        D2U_OS = msdos
endif
endif

ifndef D2U_OS
ifneq (, $(wildcard /opt/csw))
        D2U_OS = sun
endif
endif

ifndef D2U_OS
        D2U_OS=$(shell echo $(d2u_os) | tr [A-Z] [a-z])
endif

endif

ifeq (cygwin,$(D2U_OS))
ifdef ENABLE_NLS
        LIBS_EXTRA = -lintl -liconv
endif
        LDFLAGS_EXTRA = -Wl,--enable-auto-import
        EXE = .exe
        # allow non-cygwin clients which do not understand cygwin
        # symbolic links to launch applications...
        LINK = ln -f
        # but use symbolic links for man pages, since man client
        # IS a cygwin app and DOES understand symlinks.
        LINK_MAN = ln -fs
        # Cygwin packaging standard avoids version numbers on
        # documentation directories.
        docsubdir       = $(PACKAGE)
        MACHINE := $(subst -pc-cygwin,,$(shell gcc -dumpmachine))
        VERSIONSUFFIX   = -cygwin-$(MACHINE)
endif

ifeq (msys,$(D2U_OS))
        CC=gcc
        EXE = .exe
        MACHINE := $(subst -pc-msys,,$(shell gcc -dumpmachine))
# MSYS 1 does not support locales and no Unicode.
ifeq ($(shell ./test/chk_loc.sh en_US.utf8),no)
        UCS =
        VERSIONSUFFIX = -msys1-$(MACHINE)
else
        VERSIONSUFFIX = -msys2-$(MACHINE)
endif
ifdef ENABLE_NLS
        LIBS_EXTRA = -lintl -liconv
endif
endif

ifeq (mingw32,$(D2U_OS))
        CC=gcc
        prefix=c:/usr/local
        EXE = .exe
        VERSIONSUFFIX = -win32
        LINK = cp -f
        UNIFILE=1
        DIST_TARGET = dist-zip
ifdef ENABLE_NLS
        LIBS_EXTRA = -lintl -liconv
        ZIPOBJ_EXTRA = bin/libintl-8.dll bin/libiconv-2.dll
endif
ifeq ($(findstring w64-mingw32,$(shell gcc -dumpmachine)),w64-mingw32)
# Mingw-w64
        CFLAGS_COMPILER = -DD2U_COMPILER=MINGW32_W64
ifdef ENABLE_NLS
        ZIPOBJ_EXTRA += bin/libgcc_s_dw2-1.dll bin/libwinpthread-1.dll
endif
        CRT_GLOB_OBJ = /mingw32/i686-w64-mingw32/lib/CRT_glob.o
        LIBS_EXTRA += $(CRT_GLOB_OBJ)
        CFLAGS_OS=-I/mingw32/include
else
        CFLAGS_OS=-D_O_U16TEXT=0x20000
endif
endif

ifeq (mingw64,$(D2U_OS))
        CC=gcc
        prefix=c:/usr/local64
        EXE = .exe
        VERSIONSUFFIX = -win64
        LINK = cp -f
        UNIFILE=1
        DIST_TARGET = dist-zip
ifdef ENABLE_NLS
        LIBS_EXTRA = -lintl -liconv
        ZIPOBJ_EXTRA = bin/libintl-8.dll bin/libiconv-2.dll
endif
        CRT_GLOB_OBJ = /mingw64/x86_64-w64-mingw32/lib/CRT_glob.o
        LIBS_EXTRA += $(CRT_GLOB_OBJ)
        CFLAGS_OS=-I/mingw64/include
endif

ifeq (msdos,$(D2U_OS))
        prefix=c:/dos32
        EXE = .exe
        VERSIONSUFFIX = pm
        LINK_MAN = cp -f
        docsubdir = dos2unix
        UCS =
        ZIPOBJ_EXTRA = bin/cwsdpmi.exe
ifdef ENABLE_NLS
        LIBS_EXTRA = -lintl -liconv
endif
endif

ifeq (os/2,$(D2U_OS))
        prefix=c:/usr
        EXE = .exe
        VERSIONSUFFIX = -os2
        LINK_MAN = cp -f
        UCS =
        LDFLAGS_EXTRA = -Zargs-wild
        DIST_TARGET = dist-zip
ifdef ENABLE_NLS
        LIBS_EXTRA += -lintl -liconv
endif
endif

ifeq (freemint,$(D2U_OS))
        prefix=/usr
        EXE =
        VERSIONSUFFIX = -freemint
        UCS=
        ENABLE_NLS=
ifdef ENABLE_NLS
        LIBS_EXTRA += -lintl -liconv
endif
        EXTRA_DEFS += -Dfreemint -D__OS=\"freemint\"
endif

ifeq (freebsd,$(D2U_OS))
ifdef ENABLE_NLS
        CFLAGS_OS     = -I/usr/local/include
        LDFLAGS_EXTRA = -L/usr/local/lib
        LIBS_EXTRA    = -lintl
endif
endif

ifeq (darwin,$(D2U_OS))
ifdef ENABLE_NLS
        CFLAGS_OS     = -I/usr/local/include
        LDFLAGS_EXTRA = -L/usr/local/lib
        LIBS_EXTRA    = -lintl
endif
endif

ifeq (sun,$(D2U_OS))
        # Running under SunOS/Solaris
        LIBS_EXTRA = -lintl
endif

ifeq (hp-ux,$(D2U_OS))
        # Running under HP-UX
        EXTRA_DEFS += -Dhpux -D_HPUX_SOURCE
endif


# ............................................................ flags ...

# PostScript and PDF generation from UTF-8 manuals is not working,
# or I don't know how to do it.

CFLAGS_USER     =
ifeq ($(DEBUG), 1)
CFLAGS          ?= -O0
else
CFLAGS          ?= -O2
endif
CFLAGS          += -Wall -Wextra -Wconversion $(RPM_OPT_FLAGS) $(CPPFLAGS) $(CFLAGS_USER)

EXTRA_CFLAGS    = -DVER_REVISION=\"$(DOS2UNIX_VERSION)\" \
                  -DVER_DATE=\"$(DOS2UNIX_DATE)\" \
                  -DVER_AUTHOR=\"$(DOS2UNIX_AUTHOR)\" \
                  -DDEBUG=$(DEBUGMSG) \
                  $(CFLAGS_OS) \
                  $(CFLAGS_COMPILER)

ifeq ($(DEBUG), 1)
        EXTRA_CFLAGS += -g
endif

ifdef STATIC
        EXTRA_CFLAGS += -static
endif

ifdef UCS
        EXTRA_CFLAGS += -DD2U_UNICODE
endif
ifdef UNIFILE
        EXTRA_CFLAGS += -DD2U_UNIFILE
endif


ifdef LFS
        EXTRA_CFLAGS += -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
endif

LDFLAGS_USER    =
LDFLAGS = $(RPM_LD_FLAGS) $(LDFLAGS_EXTRA) $(LDFLAGS_USER)
LIBS    = $(LIBS_EXTRA)

DEFS_USER       =
DEFS            = $(EXTRA_DEFS) $(DEFS_USER)

# .......................................................... targets ...

all: $(BIN) $(MAC2UNIX_BIN) $(UNIX2DOS_BIN) $(UNIX2MAC_BIN) doc \
     mofiles man

status:
	@echo "D2U_OS       = $(D2U_OS)"
	@echo "UCS          = $(UCS)"
	@echo "CFLAGS       = $(CFLAGS)"
	@echo "EXTRA_CFLAGS = $(EXTRA_CFLAGS)"
	@echo "LDFLAGS      = $(LDFLAGS)"
	@echo "LIBS         = $(LIBS)"

common.o : common.c common.h dos2unix.h unix2dos.h version.mk
	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@

querycp.o : querycp.c querycp.h
	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@

dos2unix.o : dos2unix.c dos2unix.h querycp.h common.h
	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@

unix2dos.o : unix2dos.c unix2dos.h querycp.h common.h
	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@

$(BIN): dos2unix.o querycp.o common.o
	$(CC) $+ $(LDFLAGS) $(LIBS) -o $@

$(UNIX2DOS_BIN): unix2dos.o querycp.o common.o
	$(CC) $+ $(LDFLAGS) $(LIBS) -o $@

# DJGPP supports linking of .EXEs via 'stubify'.
# See djgpp.mak and http://www.delorie.com/djgpp/v2faq/faq22_5.html
# ln -s does automatic stubify in DJGPP 2.03.
# This changed in DJGPP 2.05. DJGPP 2.05 emulates symbolic links.

$(MAC2UNIX_BIN) : $(BIN)
ifneq ($(DJGPP),)
	stubify -g $@ ; stubedit $@ runfile=$<
else
	$(LINK) $< $@
endif


$(UNIX2MAC_BIN) : $(UNIX2DOS_BIN)
ifneq ($(DJGPP),)
	stubify -g $@ ; stubedit $@ runfile=$<
else
	$(LINK) $< $@
endif

$(MANPOTFILE) : man/man1/dos2unix.pod
	$(MAKE) -C man/man1 ../../po-man/$(notdir $@)

#  WARNING: Backward-incompatibility since GNU make 3.82.
#  The pattern-specific variables and pattern rules are now applied in the
#  shortest stem first order instead of the definition order (variables
#  and rules with the same stem length are still applied in the definition
#  order).
#  In order to stay compatible with GNU make < 3.82 we put the rule with
#  the shortest stem first.

po/%.po : $(POT)
	msgmerge --no-wrap -U $@ $(POT) --backup=numbered
	# change timestamp in case .po file was not updated.
	touch $@

%.po : man/man1/dos2unix.pod
	$(MAKE) -C man/man1 $(subst po-man/,../../po-man/,$@)

man/%/man1/dos2unix.pod : po-man/%.po

=== test/Makefile ===
TESTS = ascii.t iso.t misc.t bom.t

d2u_os=$(shell uname -s)
UCS = 1

# Checking WIN32 version in MSYS shell.
ifeq ($(findstring MINGW,$(d2u_os)),MINGW)
TESTS += gb18030.t
else
ifneq ($(findstring FreeBSD,$(d2u_os)),FreeBSD)
ifneq ($(findstring Darwin,$(d2u_os)),Darwin)
# Unix/Linux/Cygwin. Check if zh_CN.gb18030 locale is supported.
ifeq ($(shell ./chk_loc.sh zh_CN.gb18030),yes)
TESTS += gb18030.t
endif
endif
endif
endif

# DOS and Windows version do not support symlinks like the Unix version.
ifeq ($(DJGPP),)
ifneq ($(findstring MINGW,$(d2u_os)),MINGW)
TESTS += symlink.t
endif
endif

ifeq ($(UCS),1)

# Check for UTF-8 locale. Try C.UTF-8 and en_US.UTF-8.
ifeq ($(shell ./chk_loc.sh C.UTF-8),yes)
TESTS += utf16.t
export D2U_UTF8_LOCALE = C.UTF-8
else
ifeq ($(shell ./chk_loc.sh en_US.UTF-8),yes)
TESTS += utf16.t
export D2U_UTF8_LOCALE = en_US.UTF-8
endif
endif

# Checking WIN32 version in MSYS shell.
ifeq ($(findstring MINGW,$(d2u_os)),MINGW)
TESTS += utf16_gb.t
else
ifneq ($(findstring FreeBSD,$(d2u_os)),FreeBSD)
ifneq ($(findstring Darwin,$(d2u_os)),Darwin)
# Unix/Linux/Cygwin. Check if zh_CN.gb18030 locale is supported.
ifeq ($(shell ./chk_loc.sh zh_CN.gb18030),yes)
TESTS += utf16_gb.t
endif
endif
endif
endif

endif

ifndef DJGPP
PROVE_OPT ?= --nocolor
endif

all: test

check: test

test:
	prove -v $(PROVE_OPT) $(TESTS)


ascii:
	prove -v $(PROVE_OPT) $@.t

iso:
	prove -v $(PROVE_OPT) $@.t

misc:
	prove -v $(PROVE_OPT) $@.t

bom:
	prove -v $(PROVE_OPT) $@.t

utf16:
	@echo "D2U_UTF8_LOCALE=$(D2U_UTF8_LOCALE)"
	prove -v $(PROVE_OPT) $@.t

gb18030:
	prove -v $(PROVE_OPT) $@.t

utf16_gb:
	prove -v $(PROVE_OPT) $@.t

symlink:
	prove -v $(PROVE_OPT) $@.t

wcstombs:
	$(CC) -Wall -Wextra wcstombs_test.c -o wcstombs_test
	@echo "====> test wcstombs() UTF-8"
	LC_ALL=en_US.UTF-8 ./wcstombs_test
	@echo "====> test wcstombs() GB18030"
	LC_ALL=zh_CN.GB18030 ./wcstombs_test

testu16: testu16.c
	gcc $< -o $@

clean:
	rm -f out*.txt in_link.txt wcstombs_test

=== debian/changelog ===
dos2unix (7.4.3-1) unstable; urgency=medium

  * New upstream version 7.4.3
  * Bump Standards-Version to 4.6.1

 -- tony mancill <tmancill@debian.org>  Sun, 12 Jun 2022 15:08:36 -0700

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: optional
 Maintainer: tony mancill <tmancill@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.2), debhelper-compat (= 13), po4a, locales-all
-Standards-Version: 4.5.1
+Build-Depends: dpkg-dev (>= 1.16.2),debhelper-compat (= 13), po4a, locales-all
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/dos2unix
 Vcs-Git: https://salsa.debian.org/debian/dos2unix.git
 Homepage: https://waterlan.home.xs4all.nl/dos2unix.html

## dos2unix 7.5.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Author: Erwin Waterlander
 #
-#   Copyright (C) 2009-2020 Erwin Waterlander
+#   Copyright (C) 2009-2022 Erwin Waterlander
 #   All rights reserved.
 #
 #   Redistribution and use in source and binary forms, with or without
@@ -396,7 +396,7 @@
 	$(CC) $+ $(LDFLAGS) $(LIBS) -o $@
 
 # DJGPP supports linking of .EXEs via 'stubify'.
-# See djgpp.mak and http://www.delorie.com/djgpp/v2faq/faq22_5.html
+# See djgpp.mak and https://www.delorie.com/djgpp/v2faq/faq22_5.html
 # ln -s does automatic stubify in DJGPP 2.03.
 # This changed in DJGPP 2.05. DJGPP 2.05 emulates symbolic links.

=== test/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-TESTS = ascii.t iso.t misc.t bom.t
+TESTS = ascii.t iso.t misc.t bom.t noeol.t stdio.t
 
 d2u_os=$(shell uname -s)
 UCS = 1
@@ -90,6 +90,12 @@
 symlink:
 	prove -v $(PROVE_OPT) $@.t
 
+noeol:
+	prove -v $(PROVE_OPT) $@.t
+
+stdio:
+	prove -v $(PROVE_OPT) $@.t
+
 wcstombs:
 	$(CC) -Wall -Wextra wcstombs_test.c -o wcstombs_test
 	@echo "====> test wcstombs() UTF-8"

=== debian/changelog ===
dos2unix (7.5.1-1) unstable; urgency=medium

  * New upstream version 7.5.1

 -- tony mancill <tmancill@debian.org>  Mon, 04 Sep 2023 11:36:58 -0700

dos2unix (7.5.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository.
  * Fix day-of-week for changelog entry 5.2-1.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ tony mancill ]
  * New upstream version 7.5.0
    - New and updated translations (in upstream version 7.4.4)
    - New option -O, --to-stdout to write to standard output
    - New option -e, --add-eol to add a line break to the last
      line if there isn't one. Option --no-add-eol disables the feature.
  * Update Standards-Version to 4.6.2 (no changes needed)
  * Freshen years in debian/copyright
  * Add lintian overrides for long lines in sources

 -- tony mancill <tmancill@debian.org>  Sun, 11 Jun 2023 16:47:20 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: tony mancill <tmancill@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.2),debhelper-compat (= 13), po4a, locales-all
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/dos2unix
 Vcs-Git: https://salsa.debian.org/debian/dos2unix.git
 Homepage: https://waterlan.home.xs4all.nl/dos2unix.html

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 PODCENTER    = $(shell date -u +"%Y-%m-%d" --date="$(SOURCE_DATE_EPOCH)")
 export PODCENTER

## dos2unix 7.5.2

=== debian/changelog ===
dos2unix (7.5.2-1) unstable; urgency=medium

  * New upstream version 7.5.2 (Closes: #1053983)
  * Bump Standards-Version to 4.7.0

 -- tony mancill <tmancill@debian.org>  Thu, 25 Apr 2024 20:49:42 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: tony mancill <tmancill@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.2),debhelper-compat (= 13), po4a, locales-all
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/dos2unix
 Vcs-Git: https://salsa.debian.org/debian/dos2unix.git
 Homepage: https://waterlan.home.xs4all.nl/dos2unix.html

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://www.xs4all.nl/~waterlan/dos2unix.html .*dos2unix-([.\d]+)\.tar\.gz

## dos2unix 7.5.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Author: Erwin Waterlander
 #
-#   Copyright (C) 2009-2022 Erwin Waterlander
+#   Copyright (C) 2009-2025 Erwin Waterlander
 #   All rights reserved.
 #
 #   Redistribution and use in source and binary forms, with or without
@@ -227,7 +227,7 @@
 ifdef ENABLE_NLS
         ZIPOBJ_EXTRA += bin/libgcc_s_dw2-1.dll bin/libwinpthread-1.dll
 endif
-        CRT_GLOB_OBJ = /mingw32/i686-w64-mingw32/lib/CRT_glob.o
+        CRT_GLOB_OBJ = /mingw32/lib/CRT_glob.o
         LIBS_EXTRA += $(CRT_GLOB_OBJ)
         CFLAGS_OS=-I/mingw32/include
 else
@@ -247,7 +247,7 @@
         LIBS_EXTRA = -lintl -liconv
         ZIPOBJ_EXTRA = bin/libintl-8.dll bin/libiconv-2.dll
 endif
-        CRT_GLOB_OBJ = /mingw64/x86_64-w64-mingw32/lib/CRT_glob.o
+        CRT_GLOB_OBJ = /mingw64/lib/CRT_glob.o
         LIBS_EXTRA += $(CRT_GLOB_OBJ)
         CFLAGS_OS=-I/mingw64/include
 endif
@@ -416,7 +416,7 @@
 endif
 
 $(MANPOTFILE) : man/man1/dos2unix.pod
-	$(MAKE) -C man/man1 ../../po-man/$(notdir $@)
+	$(MAKE) -C man/man1
 
 #  WARNING: Backward-incompatibility since GNU make 3.82.
 #  The pattern-specific variables and pattern rules are now applied in the
@@ -431,7 +431,10 @@
 	# change timestamp in case .po file was not updated.
 	touch $@
 
-%.po : man/man1/dos2unix.pod
-	$(MAKE) -C man/man1 $(subst po-man/,../../po-man/,$@)
+$(MANPODFILES) &: $(MANPOFILES) man/man1/dos2unix.pod
+	$(MAKE) -C man/man1
 
 man/%/man1/dos2unix.pod : po-man/%.po
+	$(MAKE) -C man/man1
+
+# empty recipe to break circular dependency

=== debian/changelog ===
dos2unix (7.5.4-1) unstable; urgency=medium

  * New upstream version 7.5.4 (Closes: #1111217)
  * Retrieve upstream signing key to address uscan error.
  * Bump Standards-Version to 4.7.3
  * Update debian/watch to version 5
  * Freshen years in debian/copyright

 -- tony mancill <tmancill@debian.org>  Tue, 24 Feb 2026 13:42:10 -0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: dos2unix
 Section: text
-Priority: optional
 Maintainer: tony mancill <tmancill@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.2),debhelper-compat (= 13), po4a, locales-all
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/dos2unix
 Vcs-Git: https://salsa.debian.org/debian/dos2unix.git
 Homepage: https://waterlan.home.xs4all.nl/dos2unix.html
-Rules-Requires-Root: no
 
 Package: dos2unix
 Architecture: any

=== debian/watch ===
Version: 5

Source: https://www.xs4all.nl/~waterlan/dos2unix.html
Matching-Pattern: .*dos2unix-([.\d]+)\.tar\.gz
Pgpsigurlmangle: s/$/.asc/
